Skip to content
Start here

Monitors

List Monitors
client.loadBalancers.monitors.list(MonitorListParams { account_id } params, RequestOptionsoptions?): SinglePage<Monitor { id, allow_insecure, consecutive_down, 16 more } >
GET/accounts/{account_id}/load_balancers/monitors
Monitor Details
client.loadBalancers.monitors.get(stringmonitorId, MonitorGetParams { account_id } params, RequestOptionsoptions?): Monitor { id, allow_insecure, consecutive_down, 16 more }
GET/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Create Monitor
client.loadBalancers.monitors.create(MonitorCreateParams { account_id, allow_insecure, consecutive_down, 14 more } params, RequestOptionsoptions?): Monitor { id, allow_insecure, consecutive_down, 16 more }
POST/accounts/{account_id}/load_balancers/monitors
Update Monitor
client.loadBalancers.monitors.update(stringmonitorId, MonitorUpdateParams { account_id, allow_insecure, consecutive_down, 14 more } params, RequestOptionsoptions?): Monitor { id, allow_insecure, consecutive_down, 16 more }
PUT/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Patch Monitor
client.loadBalancers.monitors.edit(stringmonitorId, MonitorEditParams { account_id, allow_insecure, consecutive_down, 14 more } params, RequestOptionsoptions?): Monitor { id, allow_insecure, consecutive_down, 16 more }
PATCH/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Delete Monitor
client.loadBalancers.monitors.delete(stringmonitorId, MonitorDeleteParams { account_id } params, RequestOptionsoptions?): MonitorDeleteResponse { id }
DELETE/accounts/{account_id}/load_balancers/monitors/{monitor_id}
ModelsExpand Collapse
Monitor { id, allow_insecure, consecutive_down, 16 more }
id?: string
allow_insecure?: boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTP and HTTPS monitors.

consecutive_down?: number

To be marked unhealthy the monitored origin must fail this healthcheck N consecutive times.

consecutive_up?: number

To be marked healthy the monitored origin must pass this healthcheck N consecutive times.

created_on?: string
description?: string

Object description.

expected_body?: string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

expected_codes?: string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

follow_redirects?: boolean

Follow redirects if returned by the origin. This parameter is only valid for HTTP and HTTPS monitors.

header?: Record<string, Array<string>>

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

interval?: number

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

method?: string

The method to use for the health check. This defaults to 'GET' for HTTP/HTTPS based checks and 'connection_established' for TCP based health checks.

modified_on?: string
path?: string

The endpoint path you want to conduct a health check against. This parameter is only valid for HTTP and HTTPS monitors.

port?: number | null

The port number to connect to for the health check. Required for TCP, UDP, and SMTP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

probe_zone?: string

Assign this monitor to emulate the specified zone while probing. This parameter is only valid for HTTP and HTTPS monitors.

retries?: number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout?: number

The timeout (in seconds) before marking the health check as failed.

type?: "http" | "https" | "tcp" | 3 more

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS', 'TCP', 'ICMP-PING', 'UDP-ICMP', and 'SMTP'.

One of the following:
"http"
"https"
"tcp"
"udp_icmp"
"icmp_ping"
"smtp"
MonitorDeleteResponse { id }
id?: string

MonitorsPreviews

Preview Monitor
client.loadBalancers.monitors.previews.create(stringmonitorId, PreviewCreateParams { account_id, allow_insecure, consecutive_down, 14 more } params, RequestOptionsoptions?): PreviewCreateResponse { pools, preview_id }
POST/accounts/{account_id}/load_balancers/monitors/{monitor_id}/preview
ModelsExpand Collapse
PreviewCreateResponse { pools, preview_id }
pools?: Record<string, string>

Monitored pool IDs mapped to their respective names.

preview_id?: string

MonitorsReferences

List Monitor References
client.loadBalancers.monitors.references.get(stringmonitorId, ReferenceGetParams { account_id } params, RequestOptionsoptions?): SinglePage<ReferenceGetResponse { reference_type, resource_id, resource_name, resource_type } >
GET/accounts/{account_id}/load_balancers/monitors/{monitor_id}/references
ModelsExpand Collapse
ReferenceGetResponse { reference_type, resource_id, resource_name, resource_type }
reference_type?: "*" | "referral" | "referrer"
One of the following:
"*"
"referral"
"referrer"
resource_id?: string
resource_name?: string
resource_type?: string